Ask Your Question
0

how fix that

asked 2017-05-04 01:26:48 -0500

mohammad ziyada gravatar image

updated 2017-05-04 10:28:27 -0500

florian gravatar image
# dnf update
Failed to synchronize cache for repo 'phnxrbrn-evopop', disabling.
Last metadata expiration check: 1:57:20 ago on Thu May  4 05:42:48 2017.
Dependencies resolved.
=====================================================================================
 Package            Arch              Version                  Repository       Size
=====================================================================================
Skipping packages with broken dependencies:
 libgpod            x86_64            0.8.3-14.el7             epel            299 k

Transaction Summary
=====================================================================================
Skip  1 Package

Nothing to do.
Complete!
edit retag flag offensive close merge delete

Comments

1

Welcome to ask.fedora!

You may want to consider renaming your question title and be more descriptive!. The current title doesn't say much. I would guess 99% of people asking a question here are seeking a fix... ;-)

florian gravatar imageflorian ( 2017-05-05 01:34:15 -0500 )edit
1

You have way too many (probably conflicting) repos. Why? You could try dnf update --best --allowerasing. If that doesn't solve the problem, then it might give you more useful information. Make sure you carefully check the list if it wants to erase packages.

ssieb gravatar imagessieb ( 2017-05-05 14:16:22 -0500 )edit

4 Answers

Sort by ยป oldest newest most voted
2

answered 2017-05-04 10:31:41 -0500

florian gravatar image

updated 2017-05-04 10:34:22 -0500

please show us the output of dnf repolist. What exactly do you want to fix? The broken copr repo (phnx.../evo..) or the broken dependency?

Your system is what? CentOS7 with Epel repositories? I am asking because on a Fedora system you can get libgpod in the official repos, no need for epel

edit flag offensive delete link more

Comments

fedora 25 KDE 64bit

mohammad ziyada gravatar imagemohammad ziyada ( 2017-05-05 03:50:23 -0500 )edit
1

answered 2017-05-04 10:32:40 -0500

aeperezt gravatar image

You should not use epel repositories on Fedora, start from there. Disable epel repositories and the use sudo dnf update

edit flag offensive delete link more
0

answered 2017-05-05 00:13:34 -0500

mohammad ziyada gravatar image

updated 2017-05-05 01:30:22 -0500

florian gravatar image

Iam sorry because I am new to using Fedora and I do not know much

this is the output of dnf repolist

Failed to synchronize cache for repo 'phnxrbrn-evopop', disabling.
Last metadata expiration check: 0:08:16 ago on Fri May  5 06:51:01 2017.
repo id                     repo name                                          status
adobe-linux-x86_64          Adobe Systems Incorporated                              3
ayat-data                   Ayat Data Repo                                        412
ayat-main                   Ayat Main Repo                                          3
epel                        Extra Packages for Enterprise Linux 7 - x86_64     11,584
*fedora                     Fedora 25 - x86_64                                 51,669
fedora-cisco-openh264       Fedora 25 openh264 (From Cisco) - x86_64                7
folkswithhats               Repository for Fedy                                    26
google-chrome               google-chrome - x86_64                                  3
heikoada-gradio             Copr repo for gradio owned by heikoada                  3
home_Horst3180              Horst3180's Home Project (Fedora_25)                    4
livna                       rpm.livna.org for 25 - x86_64                           3
opera                       Opera packages                                          6
region51-chrome-gnome-shell Copr repo for chrome-gnome-shell owned by region51      2
*rpmfusion-free             RPM Fusion for Fedora 25 - Free                       541
*rpmfusion-free-updates     RPM Fusion for Fedora 25 - Free - Updates             186
*rpmfusion-nonfree          RPM Fusion for Fedora 25 - Nonfree                    169
*rpmfusion-nonfree-updates  RPM Fusion for Fedora 25 - Nonfree - Updates           46
*updates                    Fedora 25 - x86_64 - Updates                       19,155
user501254-Paper            Copr repo for Paper owned by user501254                 4
vivaldi                     vivaldi                                                24
youssefmsourani-arfedy      Copr repo for arfedy owned by youssefmsourani           3
edit flag offensive delete link more

Comments

It's always good to provide additional information by editing the original question and adding information there instead of providing an answer. Alternatively, you could provide the information in a comment to your question, but considering the the long list of repos here, it wouldn't fit in a comment.

florian gravatar imageflorian ( 2017-05-05 01:31:56 -0500 )edit

In general, I think you have way too many repositories installed - one for sure: disable epel. What is your OS?

florian gravatar imageflorian ( 2017-05-05 01:37:01 -0500 )edit

now fedora 25 64bit KDE

mohammad ziyada gravatar imagemohammad ziyada ( 2017-05-05 03:47:59 -0500 )edit

Why that many repositories?

aeperezt gravatar imageaeperezt ( 2017-05-05 21:54:25 -0500 )edit
0

answered 2017-05-04 03:34:23 -0500

ddkroyal001 gravatar image

try " dnf clean all"

then update

" dnf update "

edit flag offensive delete link more

Comments

The problem is not resolved

mohammad ziyada gravatar imagemohammad ziyada ( 2017-05-05 00:25:44 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-05-04 01:26:48 -0500

Seen: 378 times

Last updated: May 05 '17